[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

yum downgrade functionality now live in rawhide



On Wed, 2009-04-08 at 12:54 +0000, Rawhide Report wrote:
> yum-3.2.22-2.fc11
> -----------------
> * Tue Apr 07 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.22-2
> - yum-HEAD minus the yumdb patches

 Given so many of you have asked for this, I figured I'd highlight that
the above package includes the downgrade feature. So you can do:

yum downgrade blah

...and blah will be "downgraded" to the highest version of blah that is
older than the version installed. Like upgrade you can also specify a
specific version to downgrade to.
 Note that this will be most useful for rawhide users when installing
test packages from koji static repos. etc. ... because then an older
version will still be available in rawhide. Whereas if you upgrade to
what is in rawhide there is nothing older available to downgrade to.

 Also note that this is basic functionality atm. ... so for instance the
depsolver doesn't understand how to do dependency downgrades yet (so you
might have to specify a bunch of stuff on the cmd line).

-- 
James Antill - james fedoraproject org
"I'd just like to see a realistic approach to updates via
 packages." -- Les Mikesell


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]